Rated 5 out of 5 stars

Get DTA compatible with Firefox 8.0 here:

https://code.downthemall.net/nightly/downthemall-nightly-2.0.x.xpi

You MUST uninstall a current stable version of DTA before installing a new one.

This review is for a previous version of the add-on (2.0.7).